diff -uNrd ircd-hybrid-6.4.1/doc/example.conf.bill ircd-hyb6.4.1-FDFr5.4/doc/example.conf.bill
--- ircd-hybrid-6.4.1/doc/example.conf.bill	Wed Dec 31 19:00:00 1969
+++ ircd-hyb6.4.1-FDFr5.4/doc/example.conf.bill	Wed Oct 15 20:38:22 2003
@@ -0,0 +1,489 @@
+#   $Id: example.conf.bill,v 1.1 2003/05/17 05:47:58 jailbird Exp $
+#   IRC - Internet Relay Chat, doc/example.conf
+#   Copyright (C) 1992, Bill Wisner
+#
+#   Modified by Rodder, Jon Lusky <lusky@blown.net>,
+#   at one time, but he didn't credit his changes.
+#   Updated Dec 19, 1997 Diane Bruce aka db/Dianora <db@db.net>
+#   please also read example.conf.trillian, it covers
+#   elements this example misses.
+#   -db
+#   Updated again July 17, 1998 -db
+#   Updated 990102 to take out P: line connection limiting code
+#   Updated again July 5, 1999 -db
+#   Updated for 6.2 Release, 6 June 2001 - wcampbel
+#   Updated the last time, 24 Oct 2001
+#
+#   This program is free software; you can redistribute it and/or modify
+#   it under the terms of the GNU General Public License as published by
+#   the Free Software Foundation; either version 1, or (at your option)
+#   any later version.
+#
+#   This program is distributed in the hope that it will be useful,
+#   but WITHOUT ANY WARRANTY; without even the implied warranty of
+#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#   GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public License
+#   along with this program; if not, write to the Free Software
+#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+#
+# IRC example configuration file
+#
+# This file describes the information that should be present in your IRC
+# configuration and how to present it.
+#
+# M: set your server's name. Fields are, in order, host name (domain style),
+#  optional bind address, a text name, and unused.
+#
+# NOTE:  The "optional bind address" is an address used in binding to a
+# local address when we connect outbound.  For example, if your server machine
+# is myhost.example.com (192.168.1.5) and you want IRCD to connect to others
+# from irc.example.com (192.168.1.250), you'd put 192.168.1.250 in the
+# "optional bind address" field.  If left blank, UNIX will choose the primary
+# address of the interface closest to the destination.
+#
+# NOTE:  As of hybrid-6, the port field no longer binds a port by default.
+#        however it defines what port is used by default to connect to
+#        remote servers
+#
+M:hayes.ims.alaska.edu:192.168.1.250:University of Alaska Fairbanks:
+# 
+# A: administrative information. This line should have three fields, which
+#    may contain any arbitrary text. It is printed by the /ADMIN command.
+#
+A:University of Alaska Institute of Marine Science:Fairbanks, AK USA:Bill Wisner <wisner@ims.alaska.edu>
+#
+#
+# .include lines, insert a file from DPATH directory into the conf
+# you could use this to insert a common file between several
+# ircd's if you wished. include files are handled after all the
+# other lines in the conf file are done. i.e. a .include is always
+# as if it was at the end of the conf file.
+#
+# NOTE:  Y: lines must be defined before any line that has a class
+#        field (I, O, C, and N lines), and therefore must be present
+#        in either the base ircd.conf or in the first .include'd 
+#        conf file.
+# 
+.include "olines.conf"
+#
+# Y: define connection class.  A class must be defined in a Y: line before
+#    it is used in a C, N, or I line.  The fields are, in order, class number,
+#    ping frequency in seconds, connect frequency in seconds, maximum
+#    number of links (used for auto-connecting), and size of sendq.
+#    For servers a sendq of at least 4mb is recommended if not more.
+#
+# N.B. Y lines must be defined before I lines and O lines, since
+# both I lines and O lines make reference to Y lines or classes.
+#
+# For clients, the connect frequency field is used to set the maximum
+# number of connects from same IP address. i.e. setting this field to '1'
+# will limit every I line using this Y, to one connection per IP address.
+# leaving it blank or 0, will disable any such checking.
+#
+# Class numbers must be positive to ensure future modification of ircd to
+# use -1 internally could not be complicated with it's use externally.
+#
+Y:1:90:0:20:100000
+Y:2:90:300:10:4000000
+#
+# I: authorize clients to connect to your server. You can use domains,
+#    IP addresses, and asterisk wildcards. The second field can contain a
+#    password that the client must use in order to be allowed to connect.
+#    The optional fifth field may contain a connection class number.
+#
+I:NOMATCH::*.alaska.edu::1
+I:NOMATCH:password:acad3.alaska.edu::1
+#
+#    If using IDENT, to activate it, you need to place a "user@" in the
+#    host segment.
+#
+I:*@acad3.alask.edu::*@acad3.alaska.edu::1
+I:root@acad.alask.edu::root@acad.alaska.edu::1
+#
+# The above are bad examples of I-lines, what really happens is something
+# like this:
+#
+
+## both these are obsolete in hybrid-6
+##I:128.250.*::*.mu.oz.au::1
+##I:root@128.250.*::root@*.mu.oz.au::1
+
+## This is a correct example in hybrid-6, the username 
+## is now used for an IP I line.  Specify it in the name field.
+## but EFnet is currently deprecating the use of non resolving client hosts)
+## If the IP block has a resolving host name, it will be shown instead
+## of the IP address. This just serves to allow on an entire block of ip's
+## without needing to specify each individual hostname.
+
+## Allow any username from this IP block
+I:*@128.250.0.0/16::x::1
+
+## Allow only user db from that IP block
+I:db@128.250.0.0/16::x::1
+
+#
+# You can also limit the number of connections from one host
+# to any value. This can be used to stop cloners
+# This is done using the normally unused confreq line in the Y line.
+#
+# i.e.
+# Allow 100 users in a "bad boy" class, but allow only ONE
+# user per IP to connect at a time.
+#
+Y:3:90:1:100:100000
+#
+# With hybrid ircd, by default, max connections is taken from the
+# class not per I line. i.e. the 3 I lines following will always add
+# up to 100 or less, not 100 per I line.  Defining OLD_Y_LIMIT in
+# config.h will reverse this behavior, useful on closed I: line servers.
+#
+I:NOMATCH::*@*ppp*::3
+I:NOMATCH::*@*slip*::3
+I:NOMATCH::*@*ts*::3
+#
+# a name pattern in the first field will never cause a match since it's only
+# ever matched against an IP# in the form a.b.c.d and a number in the third
+# field will never match since a hostname is always compared against this
+# field.  The '@' needs to be in the IP# section for ident to be used.
+
+#
+## additional prefix characters in I lines are defined
+##
+## from comstud
+##
+## 1) There are noticeable differences in I: lines now.
+##   There are 4 special characters that you can stick in front
+##   of a hostname or ip# that do special things.
+##   These characters are:
+##   -  This will never put a ~ for a user not running identd
+##   +  This will force people matching this I: to require identd
+##   !  This means to only allow 1 connection per ip# in this I:
+##   $  (Not used in hybrid)
+##
+##  Examples:
+##
+## a) I:x::!*@*ppp*::class  will only allow X connections per ip# for people
+##     who have *ppp* in their hostname where X is given in the Y: line.
+##    If there is no ! and you have a limit in your Y: line, then it matches
+##      full user@host instead of just host.
+
+## b) I:x::-*@*.cris.com::class will never show a ~, even though they may
+##     not be running identd.  (This is equivalent to the old way of not
+##    specifying a @ in the I: line).
+
+## Additionally since ircd-hybrid-6
+## B/E/F lines were removed and replaced with 3 other special characters
+## in I lines
+## 
+## ^ This will exempt a user from K/G lines, limited protection from D lines
+## & User can run bots (old B line)
+## > This user is exempt from I line/server side connection limits
+##   (old F line)
+## _ This user is exempt from G lines
+##
+## A variant of amm's spoofing code was added
+## = Spoof this users IP, normally only used for opers
+##
+## < This user is exempt from idle restrictions if IDLE_CHECK is defined
+##
+
+## Examples
+## c) I:NOMATCH::^db@koruna.varner.com::3
+##    This user is exempt from k/g lines
+## d) I:NOMATCH::&jerdfelt@*mindspring.net::3
+##    This user can run a bot, and is also "e lined"
+## e) I:NOMATCH::>lusky@*vol.com::3
+##    This user is immune from I line limits
+## f) I:NOMATCH::^&>mpearce@*varner.com::3
+##    This user can run a bot, is exempt
+##    from client connect limits.
+## g) I:smurfers.are.lame::=dgalas@*somewhere.com::3
+##    Show this user as being dgalas@smurfers.are.lame
+##    an IP can be used instead as long as the name field does not begin 
+##    with an 'x'
+##    i.e. 
+##    I:db@192.168.0.0/24::x::3 #this is an IP I line
+##    I:db@192.168.0.0::=db@*somesite.com::3 #this is a spoofed IP	
+#
+# O: authorize operators. Fields are, in order, host name the operator must
+#    be logged in from (wildcards allowed), operator's password, operator's
+#    nickname.
+## The 4th field is the port number used in c/n's, in ircd-hybrid
+## this field is used to contain oper flags for this oper
+## You may wish to constrain an oper from using global kill or unkline
+## for example.
+## The flags are:
+## K/k - allow/disallow kill and kline
+## O/o - allow/disallow global kill
+## R/r - allow/disallow remote squit/connect
+## U/u - allow/disallow unkline
+## G/g - allow/disallow gline
+## N/n - allow the use of +n , which should be restricted to tcm use only
+##     for privacy reasons. (+c probably belongs controlled here too but isn't)
+## H/h - allow the use of /rehash, default is H for O and o, add h to 
+##       disable an opers use of /rehash
+## D/d - allow the use of /die or /restart. Default is d for disallowing
+##       /die /restart 
+##
+## Default flags for opers are GKORUH
+## Default flags for local ops, KUH
+## These flags over-rule what the normal privs of an oper would be,
+## but they cannot allow a local oper to do global kills for example.
+##
+## The global kill of a global oper can be disabled by using o for
+## example, in the port field.
+##
+# The first example allows me to become an operator from any
+#    machine in alaska.edu by typing /oper crunchy frog.
+#
+O:*.alaska.edu:frog:crunchy
+#
+# Most operators have encrypted oper passwords.  These passwords can be
+# generated using the mkpasswd program included with ircd.  Both DES and
+# MD5 passwords are supported as long as the underlying system supports
+# both types.  MD5 passwords can be generated by the -m option to mkpasswd.
+#
+## This example allow this oper, to global kill, do remote squit/connect
+## unklines, glines, and use umode +n
+##
+O:db@*db.net:-encrypted password-:Dianora:ORUGN:3
+#
+##
+## This example disables this opers use of global kill, unkline, and gline
+## The oper can still do remote squits/connects
+##
+O:newbie@*some.net:-encrypted password-:newbie:oug:3
+##
+## This example disables this opers use of global kill, unkline,
+## gline and gline and remote squits/connects
+## essentially the same permissions as a local oper, but with the "vanity"
+## They can still local kill and kline for example.
+##
+O:vanity@*some.net:-encrypted password-:vanity:oug:3
+##
+## you could make someone vantiy even more, by disabling their
+## kill/kline privs... note they can still do full traces
+## umode +c (watch connections) and do rehash
+## But otherwise, this set of flags is not practical for
+## a normal oper.
+##
+O:vanity@*some.net:-encrypted password-:vanity:nougk:3
+#
+## a monitor bot could be given the following privs
+## k - no kline/kill
+## g - make sure no GLINE
+## o - no global kill (already taken care of by 'k' flag above)
+## r - no remote routing/squits
+## N - allow this monitor to use umode +n for nick changes
+##
+## Some admins do not like remote tcm kills/klines. If this
+## tcm oper gets compromised, the best they can do is
+## rehash/trace/umode +cn , i.e. no global kills or "fun" for the
+## compromised o line. But its still quite usable for monitoring
+## clones and nick flooders.
+##
+#
+o:tcm@*varner.com:-encrypted password-:tcm:kgorN:3
+#
+## Of course, leaving out the flags entirely defaults to
+## reasonable defaults, so if you don't want to worry about it, then don't.
+## You can always add G later for example.
+#
+## O : Global operator
+## No explicit G or G-line flag, no N or allow umode +n flag
+##
+O:db@ircd.dianora.com:-encrypted password-:Dianora::3
+#
+# o : local operator.
+o:trainee@shell.box.com:password:MyNick::3
+#
+##
+## The fifth field of an O line, is the new class this oper will join
+##
+# Finally, O: lines can specify the default usermodes that an oper will
+# be assigned.
+#
+O:wcampbel@ircd-coders.net:$1$-md5-hash:Highwy101:OKgUnrd:3:wskd
+#
+# C:, N: set up connections to other servers.
+#
+# C: specifies a server that your server may connect to.
+# N: allows a remote server to connect to your own.
+#
+# The two lines are usually given in pairs.
+#
+# These lines may contain a password in the second field.  In fact, to
+# maintain proper security, *all* IRC server links must have passwords.
+#
+# C and N lines do not have to have the same passwords.  The only matches
+# that must exist are the C line password on one server and the N line
+# password of the other.
+#
+# If a C: line contains four fields (the fourth being a TCP port number)
+# IRC will actively try to connect to that server. You should have at least
+# one such line.
+#
+# If an N: line contains four fields, the fourth should contain a number that
+# specifies how many components of your own server's name to strip off the
+# front and be replaced with a *.  This is done to implement hostmasking.
+# For example, to make hayes.ims.alaska.edu present itself to the world as
+# *.alaska.edu, I would use a 2 (to strip off the first two parts).  If you
+# use this, be sure to tell the administrator of the servers you link to --
+# they must add your hostmasked name to their configuration file or you will
+# be unable to connect.
+#
+# The host part of C/N lines MUST contain a valid hostname or IP address
+# The host part in the C:line MUST be identical to the host part in the N:line
+# The name part of the C/N lines MUST match the associated H/L line name
+# 
+# The fifth field may contain a connection class number.
+#
+# The following two lines tell my server to try connecting to
+# byron.u.washington.edu.
+#
+C:byron.u.washington.edu:crunchyfrog:byron.u.washington.edu:6667:2
+N:byron.u.washington.edu:gorfyhcnurc:byron.u.washington.edu:2:2
+#
+# The following two lines allow a server to connect to my server, but my
+# server will not make any attempt to connect to it.  Note that since the
+# server is local to me, I am not using hostmasking.
+#
+# For this link, I'm also going to use compression.  Switch C: for c: to
+# enable compression.
+#
+c:kaja.gi.alaska.edu:llamas:kaja.gi.alaska.edu::2
+N:kaja.gi.alaska.edu:llamas:kaja.gi.alaska.edu::2
+#
+# If you wish to bind to a specific IP for an outbound connect
+# There is an optional field after the class number you can use.
+# This binds the outgoing interface to 192.168.0.1
+#
+C:irc.ais.net:hi:irc.ais.net::2:192.168.0.1
+N:irc.ais.net:andy:irc.ais.net::2
+#
+# C and N lines may also use the "user@" combination in the same way as
+# the I-lines.
+#
+C:wisner@kaja.gi.alaska.edu:llamas:kaja.gi.alaska.edu::2
+N:wisner@kaja.gi.alaska.edu:llamas:kaja.gi.alaska.edu::2
+#
+# Another note is that N line passwords can be optionally encrypted.
+# Look in config.h for more information
+#
+# K: kill a user automatically upon connecting.  This is used to deny
+#    troublesome users access to your server.  The fields are, in order,
+#    hostname (wildcards are allowed), comment, and username.
+#
+K:bugs.cs.wcupa.edu:Don't IRC as root:root
+#
+#
+#
+# L: leaf.  This forces the server listed to act as a leaf.  If such a
+#    server allows any other servers to connect to it, its link is
+#    dropped. If a port parameter is non-zero, it is used to control the
+#    maximum depth that link will allow, where depth is the tree depth of
+#    that branch.
+#
+L:::kaja.gi.alaska.edu
+L:::cm5.eng.umd.edu:1
+#
+#    A new extension to the L-line allows you to be selective
+#    about which other servers you wish the connecting server to behave as
+#    as a leaf towards.  The following would not allow any server connecting
+#    with a name that matches *.fi to introduce a server matching *.edu.
+#
+L:*.edu::*.fi
+#
+# H: Hub.  This is required to allow other servers which connect to you as
+#    a hub and introduce other servers.
+#
+H:*.au:*:efnet.telstra.net.au
+#
+# P : port. The port line allows the server to listen on various ports for
+#     connections.  Fields in order: unused,
+#     address to bind to, unused, port to listen on
+#
+# NOTE:  As of hybrid-6, you MUST have at least one P: line defining a port
+# to listen on, or the server won't do much.
+#
+P::::6667
+P::209.42.128.252::31337
+#
+# Listen on port 6667 on all available interfaces.
+# Also listen to port 31337 on only 209.42.128.252.
+#
+# D : dump.  Dumps all connect attempts from the matched IP
+# without any processing, except for reporting to the user that they
+# are D: lined..
+#
+#     First arg is target IP and CIDR mask, second is a comment.
+#
+D:208.148.84.3:bot host that changes domain names frequently
+D:128.183.0/24:NASA users aren't supposed to be on IRC
+#
+# d : immunity to D dump
+# As in D line , First arg is targe IP and CIDR mask, second is a comment.
+#
+d:199.0.154.0/24:Don't D line ais.net:
+
+#
+# server "clusters"
+# U: lines treat each of these servers as being part of your server cluster
+# klines placed on this server will be forwarded to the servers named
+# in the U lines here. LOCOPS will also be forwarded, but will appear
+# as "SLOCOPS" instead of "LOCOPS"
+#
+# i.e. irc_hub.somewhere.net has leaf servers irc1.somewhere.net 
+# irc2.somewhere.net
+
+# Hub server would have
+U:irc1.somewhere.net:
+U:irc2.somewhere.net
+
+# each client server would have
+U:irc_hub.somewhere.net
+
+#
+#
+# Q lines, not the old server Q lines, but Quarantine lines for
+# nicks. Only checked at NICK time, i.e. if added and hashed in
+# will not kill users who match this nick.
+#
+Q:dcc-*:dcc bots not allowed on this server
+Q:lamestbot:You have to be kidding me
+Q:crush:In memory of Janet Pippin
+Q:cwush:In memory of Janet Pippin
+
+#
+# if JUPE_CHANNEL is defined you can also jupe a channel locally
+# i.e. no one on your server can join this channel.
+# You need the backslash to escape the # in the channel
+#
+Q:\#packet:I am tired of the packet fights for this channel
+#
+# X lines.
+# Used to match gecos fields and prohibit users or warn about users
+# who have matching strings in those fields from getting on the server.
+#
+# Field are the match string, reason, unused, and the action value
+#
+# Action values for X lines are 0, 1, and 2.
+# 0 warns opers set +r only
+# 1 rejects the user, and sends a notice to +r opers
+# 2 silently rejects the user.
+# 
+# These three examples only warn
+X:*www*:Possible spambot warning 1::0
+X:*http*:Possible spambot warning 2::0
+X:*sex*:Possible spambot warning 3::0
+#
+# These two examples reject the client
+# use this to reject IPHONE users
+X:* vc:IPHONE user::2
+# This is a very probable spambot
+X:*see me at*:This has GOT to be a spambot::1
+X:*hi baby*:This has GOT to be a spambot::1
+
diff -uNrd ircd-hybrid-6.4.1/doc/ircd.conf/README ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/README
--- ircd-hybrid-6.4.1/doc/ircd.conf/README	Tue Jun 17 21:49:01 2003
+++ ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/README	Wed Oct 15 20:38:22 2003
@@ -37,4 +37,4 @@
 
 Arnvid Karstad - ievil@isd.no
 
-$Id: README,v 1.1 2003/06/18 01:49:01 ievil Exp $
\ No newline at end of file
+$Id: README,v 1.1.1.1 2003/10/09 02:47:13 jailbird Exp $
\ No newline at end of file
diff -uNrd ircd-hybrid-6.4.1/doc/ircd.conf/ilines.conf ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/ilines.conf
--- ircd-hybrid-6.4.1/doc/ircd.conf/ilines.conf	Tue Jun 17 21:49:01 2003
+++ ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/ilines.conf	Wed Oct 15 20:38:22 2003
@@ -1,6 +1,6 @@
 # [efnet.server.no] I-line configuration..
 #
-# $Id: ilines.conf,v 1.1 2003/06/18 01:49:01 ievil Exp $
+# $Id: ilines.conf,v 1.1.1.1 2003/10/09 02:47:13 jailbird Exp $
 #
 # Flags :
 # = spoof
diff -uNrd ircd-hybrid-6.4.1/doc/ircd.conf/ircd.conf ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/ircd.conf
--- ircd-hybrid-6.4.1/doc/ircd.conf/ircd.conf	Tue Jun 17 21:49:01 2003
+++ ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/ircd.conf	Wed Oct 15 20:38:22 2003
@@ -8,7 +8,7 @@
 #
 # Enjoy! - ievil / Hybrid Team Member 2003
 #
-# $Id: ircd.conf,v 1.1 2003/06/18 01:49:01 ievil Exp $
+# $Id: ircd.conf,v 1.1.1.1 2003/10/09 02:47:13 jailbird Exp $
 #
 
 M:efnet.server.no:192.168.1.1:the hyb-team messed with my code today.:
diff -uNrd ircd-hybrid-6.4.1/doc/ircd.conf/ispoof.conf ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/ispoof.conf
--- ircd-hybrid-6.4.1/doc/ircd.conf/ispoof.conf	Tue Jun 17 21:49:01 2003
+++ ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/ispoof.conf	Wed Oct 15 20:38:22 2003
@@ -1,6 +1,6 @@
 # [efnet.server.no] Spoofed I-lines config file
 #
-# $Id: ispoof.conf,v 1.1 2003/06/18 01:49:01 ievil Exp $
+# $Id: ispoof.conf,v 1.1.1.1 2003/10/09 02:47:13 jailbird Exp $
 
 
 # --- spoofs / users --
diff -uNrd ircd-hybrid-6.4.1/doc/ircd.conf/olines.conf ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/olines.conf
--- ircd-hybrid-6.4.1/doc/ircd.conf/olines.conf	Sun Aug 17 02:01:55 2003
+++ ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/olines.conf	Wed Oct 15 20:38:22 2003
@@ -16,7 +16,7 @@
 #
 # Please use little o:'s still if u use RESTRICT_LOCOP!!
 # 
-# $Id: olines.conf,v 1.2 2003/08/17 06:01:55 ievil Exp $
+# $Id: olines.conf,v 1.1.1.1 2003/10/09 02:47:13 jailbird Exp $
 
 O:*adm@admin.efnet.server.no:-CryptedPassHere-:admin:GDSUKORPHNAZ:301
 O:*coadm@coadmin.efnet.server.no:-CryptedPassHere-:coadmin:GdSUKORPHNAZ:301
diff -uNrd ircd-hybrid-6.4.1/doc/ircd.conf/ports.conf ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/ports.conf
--- ircd-hybrid-6.4.1/doc/ircd.conf/ports.conf	Tue Jun 17 21:49:01 2003
+++ ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/ports.conf	Wed Oct 15 20:38:22 2003
@@ -1,6 +1,6 @@
 # [efnet.server.no] Listener ports
 #
-# $Id: ports.conf,v 1.1 2003/06/18 01:49:01 ievil Exp $
+# $Id: ports.conf,v 1.1.1.1 2003/10/09 02:47:13 jailbird Exp $
 
 P::192.168.1.100::6667
 P::192.168.1.100::6668
diff -uNrd ircd-hybrid-6.4.1/doc/ircd.conf/qlines.conf ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/qlines.conf
--- ircd-hybrid-6.4.1/doc/ircd.conf/qlines.conf	Tue Jun 17 21:49:01 2003
+++ ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/qlines.conf	Wed Oct 15 20:38:22 2003
@@ -1,7 +1,7 @@
 # [efnet.server.no] Q-lined nicks and channels
 # Q-line is jupes ;)
 #
-# $Id: qlines.conf,v 1.1 2003/06/18 01:49:01 ievil Exp $
+# $Id: qlines.conf,v 1.1.1.1 2003/10/09 02:47:13 jailbird Exp $
 
 Q:services:Reserved nickname:
 Q:operserv:Reserved nickname:
diff -uNrd ircd-hybrid-6.4.1/doc/ircd.conf/servers.conf ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/servers.conf
--- ircd-hybrid-6.4.1/doc/ircd.conf/servers.conf	Tue Jun 17 21:49:01 2003
+++ ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/servers.conf	Wed Oct 15 20:38:22 2003
@@ -1,6 +1,6 @@
 # [efnet.server.no] server configuration file
 #
-# $Id: servers.conf,v 1.1 2003/06/18 01:49:01 ievil Exp $
+# $Id: servers.conf,v 1.1.1.1 2003/10/09 02:47:13 jailbird Exp $
 
 
 C:192.168.10.100:linkpass:server-a.domain.tld::201
diff -uNrd ircd-hybrid-6.4.1/doc/ircd.conf/xlines.conf ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/xlines.conf
--- ircd-hybrid-6.4.1/doc/ircd.conf/xlines.conf	Tue Jun 17 21:49:01 2003
+++ ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/xlines.conf	Wed Oct 15 20:38:22 2003
@@ -1,6 +1,6 @@
 # [efnet.sever.no] x-line / IRCNAME Gecos ban file
 #
-# $Id: xlines.conf,v 1.1 2003/06/18 01:49:01 ievil Exp $
+# $Id: xlines.conf,v 1.1.1.1 2003/10/09 02:47:13 jailbird Exp $
 
 X:*fight me, pussy*:DRONE::2
 X:*www.hennesscript.com*:Bad Script::2
diff -uNrd ircd-hybrid-6.4.1/doc/ircd.conf/ylines.conf ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/ylines.conf
--- ircd-hybrid-6.4.1/doc/ircd.conf/ylines.conf	Tue Jun 17 21:49:01 2003
+++ ircd-hyb6.4.1-FDFr5.4/doc/ircd.conf/ylines.conf	Wed Oct 15 20:38:22 2003
@@ -7,7 +7,7 @@
 # 1xx - client classes where the xx number is total number of users
 #       per host/ip
 #
-# $Id: ylines.conf,v 1.1 2003/06/18 01:49:01 ievil Exp $
+# $Id: ylines.conf,v 1.1.1.1 2003/10/09 02:47:13 jailbird Exp $
 
 Y:1:120:600:1:9050000
 Y:301:9999:9999:9999:13000000
diff -uNrd ircd-hybrid-6.4.1/doc/server-version-info ircd-hyb6.4.1-FDFr5.4/doc/server-version-info
--- ircd-hybrid-6.4.1/doc/server-version-info	Sat Aug 16 15:58:31 2003
+++ ircd-hyb6.4.1-FDFr5.4/doc/server-version-info	Wed Oct 15 20:38:22 2003
@@ -1,4 +1,4 @@
-$Id: server-version-info,v 1.10 2003/08/16 19:58:31 ievil Exp $
+$Id: server-version-info,v 1.1.1.2 2003/10/09 02:47:13 jailbird Exp $
 Updated for Hybrid 6.4 (2003/11/26)
 
 When you type /version you will often see something like this:
diff -uNrd ircd-hybrid-6.4.1/doc/simple.conf ircd-hyb6.4.1-FDFr5.4/doc/simple.conf
--- ircd-hybrid-6.4.1/doc/simple.conf	Thu Oct  5 23:00:54 2000
+++ ircd-hyb6.4.1-FDFr5.4/doc/simple.conf	Wed Oct 15 20:38:22 2003
@@ -1,5 +1,5 @@
 # IRC minimal example configuration file
-# $Id: simple.conf,v 1.4 2000/10/06 03:00:54 lusky Exp $
+# $Id: simple.conf,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
 # 
 # This is a basic ircd.conf that will get you up and running with
 # little or no modifications.  See the example.conf file for more
diff -uNrd ircd-hybrid-6.4.1/include/blalloc.h ircd-hyb6.4.1-FDFr5.4/include/blalloc.h
--- ircd-hybrid-6.4.1/include/blalloc.h	Thu Nov 29 11:23:16 2001
+++ ircd-hyb6.4.1-FDFr5.4/include/blalloc.h	Wed Oct 15 20:38:25 2003
@@ -4,7 +4,7 @@
  * Owner:   Wohali (Joan Touzet)
  *
  *
- * $Id: blalloc.h,v 1.5 2001/11/29 16:23:16 androsyn Exp $
+ * $Id: blalloc.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  */
 #ifndef INCLUDED_blalloc_h
 #define INCLUDED_blalloc_h
diff -uNrd ircd-hybrid-6.4.1/include/channel.h ircd-hyb6.4.1-FDFr5.4/include/channel.h
--- ircd-hybrid-6.4.1/include/channel.h	Sat Aug 16 15:58:32 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/channel.h	Wed Oct 15 20:38:25 2003
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: channel.h,v 1.39 2003/08/16 19:58:32 ievil Exp $
+ * $Id: channel.h,v 1.4 2003/10/09 03:49:54 jailbird Exp $
  */
 
 #ifndef INCLUDED_channel_h
@@ -55,10 +55,8 @@
   struct Channel* hnextch;
   struct Mode     mode;
   char            topic[TOPICLEN + 1];
-#ifdef TOPIC_INFO
-  char            topic_nick[NICKLEN + 1];
+  char            topic_nick[NICKLEN + USERLEN + HOSTLEN + 3];
   time_t          topic_time;
-#endif
   int             users;
   struct SLink*   members;
   struct SLink*   invites;
@@ -119,6 +117,7 @@
 
 extern void    set_channel_mode(struct Client *, struct Client *, 
                                 struct Channel *, int, char **);
+extern int      msg_has_colors(char *);
 #ifdef JUPE_CHANNEL
 extern void report_juped_channels(struct Client *);
 #endif
@@ -127,11 +126,7 @@
 extern int total_ignoreops;
 
 /* this should eliminate a lot of ifdef's in the main code... -orabidoo */
-#ifdef BAN_INFO
-#  define BANSTR(l)  ((l)->value.banptr->banstr)
-#else
-#  define BANSTR(l)  ((l)->value.cp)
-#endif
+#define BANSTR(l)  ((l)->value.banptr->banstr)
 
 
 /*
@@ -166,6 +161,7 @@
 
 #define MODE_LIMIT      0x2000  /* was 0x1000 */
 #define MODE_FLAGS      0x2fff  /* was 0x1fff */
+#define MODE_NOCOLOR    0x4000
 #ifdef NEED_SPLITCODE
 
 
@@ -205,7 +201,11 @@
 /* channel not shown but names are */
 #define HiddenChannel(x)        ((x) && ((x)->mode.mode & MODE_PRIVATE))
 /* channel visible */
-#define ShowChannel(v,c)        (PubChannel(c) || IsMember((v),(c)))
+#ifdef OPERS_SEE_PRIV
+# define ShowChannel(v,c)       (PubChannel(c) || IsMember((v),(c)) || IsAnOper(v))
+#else
+# define ShowChannel(v,c)        (PubChannel(c) || IsMember((v),(c)))
+#endif /* OPERS_SEE_PRIV */
 #define PubChannel(x)           ((!x) || ((x)->mode.mode &\
                                  (MODE_PRIVATE | MODE_SECRET)) == 0)
 
@@ -214,7 +214,6 @@
 
 #define IsChannelName(name) ((name) && (*(name) == '#' || *(name) == '&'))
 
-#ifdef BAN_INFO
 /*
   Move BAN_INFO information out of the SLink struct
   its _only_ used for bans, no use wasting the memory for it
@@ -232,7 +231,6 @@
   char *who;
   time_t when;
 } aBan;
-#endif
 
 #ifdef NEED_SPLITCODE
 
diff -uNrd ircd-hybrid-6.4.1/include/class.h ircd-hyb6.4.1-FDFr5.4/include/class.h
--- ircd-hybrid-6.4.1/include/class.h	Wed Jul 21 01:45:00 1999
+++ ircd-hyb6.4.1-FDFr5.4/include/class.h	Wed Oct 15 20:38:25 2003
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
-/* $Id: class.h,v 1.5 1999/07/21 05:45:00 tomh Exp $ */
+/* $Id: class.h,v 1.1.1.1 2003/05/09 01:49:29 jailbird Exp $ */
 
 #ifndef INCLUDED_class_h
 #define INCLUDED_class_h
